Results 1 to 3 of 3

Thread: Change associative Dimensions to non-associative Dimensions

  1. #1
    100 Club jgardner.79905's Avatar
    Join Date
    2004-12
    Posts
    153
    Login to Give a bone
    0

    Angry Change associative Dimensions to non-associative Dimensions

    I got the following routine to find all the dimensions in my drawing that have a measurement equal to 3.5" and replace the text for those dimensions with a space. I am trying to create a variation of this routine to fine all the dimensions in my drawing that have be put in as associative dims and change them to not be associative but I am not having much luck can anyone help.

    Code:
    (defun c:dblank ()
    (setq ssSelection (ssget "X"(list (cons 0 "dimension"))))
    (repeat (setq intCount (sslength ssSelection))
        (setq intCount (1- intCount)
    	  entSelection (ssname ssSelection intCount)
    	  objSelection (vlax-ename->vla-object entSelection)
    	  )
        (if (= (rtos (vla-get-measurement objSelection) 2 5 ) "3.50000" )
          (vla-put-TextOverride objSelection " "))
        (princ))
      )
    Thanks Jason

    [ Moderator Action = ON ] What are [ CODE ] tags... [ Moderator Action = OFF ]
    Last edited by Opie; 2006-05-09 at 01:19 PM. Reason: [CODE] tags added, see moderator comment

  2. #2
    AUGI Addict kennet.sjoberg's Avatar
    Join Date
    2002-05
    Posts
    1,707
    Login to Give a bone
    0

    Default Re: Change associative Dimensions to non-associative Dimensions

    Quote Originally Posted by jgardner.79905
    . . .associative dims and change them to not be associative. .
    Are you going to step back in time ? If you do not you can search for FakeDim previous in this thread and modify it.

    : ) Happy Computing !

    kennet

  3. #3
    100 Club CADmium's Avatar
    Join Date
    2004-08
    Location
    Eberswalde, Germany, Europe
    Posts
    128
    Login to Give a bone
    0

    Default Re: Change associative Dimensions to non-associative Dimensions

    To change associative Dimensions to non-associative Dimensions use the _move command:
    Code:
    (defun c:DIM-Kill-Asso ( /  ssSelection)
      (if(setq ssSelection (ssget "_X"(list (cons 0 "DIMENSION"))))
         (progn
            (command "_move"   ssSelection "" '(0 0 0) '(0  1 0))
            (command "_move"   ssSelection "" '(0 0 0) '(0 -1 0))
         )
      )
    )
    Thomas

Similar Threads

  1. 2012: 2013: Associative Dimensions?
    By baram547876 in forum AutoCAD LT - General
    Replies: 4
    Last Post: 2016-06-02, 09:43 PM
  2. Associative dimensions vs. Stretching dimensions
    By mbrandt5 in forum Dynamic Blocks - Technical
    Replies: 4
    Last Post: 2015-04-28, 06:12 PM
  3. Associative Isometric Style Dimensions
    By autocad.wishlist1734 in forum AutoCAD Wish List
    Replies: 3
    Last Post: 2014-07-14, 10:55 AM
  4. Associative dimensions, how do they work
    By gfreddog in forum AutoCAD General
    Replies: 1
    Last Post: 2006-11-30, 09:40 PM
  5. Extend or Trim Associative Dimensions
    By murrayc.49304 in forum AutoCAD Tips & Tricks
    Replies: 0
    Last Post: 2006-01-25, 04:25 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •